From 3f6f58eca369c0aed2873fd5d5e58e1ebb8d6a05 Mon Sep 17 00:00:00 2001
From: Olliver Schinagl <oliver@schinagl.nl>
Date: Mon, 5 Oct 2020 15:16:31 +0200
Subject: [PATCH 1/2] neard: Improve debugability

When getting the error 'Error while reading NFC bytes' we may want to
know as to why this failed. Lets print the condition as part of this
error.

Signed-off-by: Olliver Schinagl <oliver@schinagl.nl>
---
 src/adapter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/adapter.c b/src/adapter.c
index 9c483ca..eced758 100644
--- a/src/adapter.c
+++ b/src/adapter.c
@@ -1006,7 +1006,7 @@ static gboolean adapter_recv_event(GIOChannel *channel, GIOCondition condition,
 	DBG("condition 0x%x", condition);
 
 	if (condition & (G_IO_NVAL | G_IO_ERR | G_IO_HUP)) {
-		near_error("Error while reading NFC bytes");
+		near_warn("Aborted reading NFC bytes with condition: 0x%x", condition);
 
 		adapter_flush_rx(adapter, -EIO);
 
-- 
2.28.0

